Subject: bug#26490: 25.1; package-buffer-info is incorrectly case-insensitive

From: Stefan Kangas <[email-masked]>
Date: Sat, 24 Aug 2019 07:57:06 +0200

Glenn Morris <[email-masked]> writes:

> Why does it care at all?
> I thought the "filename ends here" was an ancient way of identifying
> files that might have been truncated in transit. It doesn't seem
> relevant in this day and age.

I agree; this is an ancient ritual from times long past.  I suggest
that we get rid of this requirement to consider a package valid.

I think this requirement, while not the most important thing in the
world, just looks Very Old (TM) to new developers looking to get
started in Emacs Lisp.  And since it indeed hardly plays an important
role anymore, we have little to lose by getting rid of it, AFAIU.

Steve Purcell <[email-masked]> writes:

> Nonetheless, it has been part of the format expected by package.el for years.
>
> Making package.el more permissive over time can lead to problems with packages
> in older Emacsen, a prime example being the recently-added
> backwards-incompatible support for version-less dependencies in the
> `Package-Requires` header: authors check their packages in a recent Emacs and
> then find that an older otherwise-compatible Emacs can’t even parse their
> package metadata.

Sure, that can be a problem.  I think that means that we should not
(yet) encourage package developers to not use them in their packages.
But if we don't take a first step, we can never get rid of it.

At the end of the day, it's the job of package developers to maintain
backwards compatibility.  I don't see why this change would be any
different in that respect from the many other changes that we make
between releases.

I have attached a tentative patch to remove this requirement from
package.el.  Comments are more than welcome.

Thanks,
Stefan Kangas